Aerovy Platform logo

List integrations

GEThttps://spectra.api.aerovy.com/v2/integrations

Lists the integrations for the calling organization. Requires an API key with the read action. Returns all when no pagination params are supplied, otherwise a page.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Query Parameters

continuationTokenstring

Opaque token from a prior page; omit for the first page.

limitinteger | string<int32>

Page size; omit (with no token) to return all.

Pattern: ^-?(?:0|[1-9]\d*)$

Response

application/json

The integrations (a bare array, or a paginated envelope when paginating).

itemsarray<object>
items.integrationIdstring
items.integrationNamestring
items.orgIdstringrequired
items.tenantIdstringrequired
items.directionstring
items.integrationTypestring
items.resourcesarray<object>
items.propertiesobject
items.metaDataobject
items.createdAtstring<date-time>required
items.updatedAtnull | string<date-time>
items.createdBystringrequired
items.updatedBynull | string
continuationTokennull | string
hasMoreboolean